unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TEditForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    edJmeno: TEdit;
    edPrijmeni: TEdit;
    edPohlavi: TComboBox;
    edNarozeni: TEdit;
    edUmrti: TEdit;
    edMatka: TComboBox;
    edOtec: TComboBox;
    Label8: TLabel;
    edID: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
  public
    function Edituj(ID: string; var Jmeno, Prijmeni, Pohlavi, Narozeni, Umrti, Matka, Otec: string): Boolean;
  end;

var
  EditForm: TEditForm;

implementation

uses Unit1;

{$R *.DFM}

function TEditForm.Edituj(ID: string; var Jmeno, Prijmeni, Pohlavi, Narozeni, Umrti, Matka, Otec: string): Boolean;
var
  SeznamMuzu: TStringList;
  SeznamZen: TStringList;
  I: Integer;
begin
  SeznamMuzu := MainForm.ZjistiSeznamMuzu;
  SeznamZen := MainForm.ZjistiSeznamZen;

  edID.Enabled := False;
  edID.Text := ID;
  edJmeno.Text := Jmeno;
  edPrijmeni.Text := Prijmeni;
  if Pohlavi = 'M' then edPohlavi.ItemIndex := 0
  else if Pohlavi = 'Z' then edPohlavi.ItemIndex := 1
  else edPohlavi.ItemIndex := -1;
  edNarozeni.Text := Narozeni;
  edUmrti.Text := Umrti;

  edOtec.Items.Assign(SeznamMuzu); // vlozit seznam muzu
  for I := 0 to SeznamMuzu.Count - 1 do begin
    if Copy(SeznamMuzu[I], 1, Pos(':', SeznamMuzu[I]) - 1) = Otec then begin
      edOtec.ItemIndex := I; // a vybrat aktualne zvoleneho
      Break;
    end;
  end;
  edMatka.Items.Assign(SeznamZen); // totez pro zeny
  for I := 0 to SeznamZen.Count - 1 do begin
    if Copy(SeznamZen[I], 1, Pos(':', SeznamZen[I]) - 1) = Matka then begin
      edMatka.ItemIndex := I;
      Break;
    end;
  end;

  ActiveControl := edJmeno;
  Result := EditForm.ShowModal = mrOK;  // zobrazit

  Jmeno := edJmeno.Text;
  Prijmeni := edPrijmeni.text;
  case edPohlavi.ItemIndex of
    0:   Pohlavi := 'M';
    1:   Pohlavi := 'Z';
    else Pohlavi := 'X';
  end;
  Narozeni := edNarozeni.Text;
  Umrti := edUmrti.Text;

  if edOtec.ItemIndex <> -1 then begin
    Otec := Copy(SeznamMuzu[edOtec.ItemIndex], 1, Pos(':', SeznamMuzu[edOtec.ItemIndex]) - 1);
  end else Otec := '';
  if edMatka.ItemIndex <> -1 then begin
    Matka := Copy(SeznamZen[edMatka.ItemIndex], 1, Pos(':', SeznamZen[edMatka.ItemIndex]) - 1);
  end else Matka := '';

  SeznamMuzu.Free;
  SeznamZen.Free;
end;


end.
